Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 445168 - media-libs/mediastreamer-2.8.2 - Fails to build against media-video/ffmpeg-1.0 - videoenc.c: error: 'CODEC_FLAG_H263P_UMV', 'CODEC_FLAG_H263P_SLICE_STRUCT', 'FF_I_TYPE' undeclared
Summary: media-libs/mediastreamer-2.8.2 - Fails to build against media-video/ffmpeg-1....
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Peter Volkov (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ffmpeg-0.11-breakage libav-9
  Show dependency tree
 
Reported: 2012-11-29 11:31 UTC by jannis
Modified: 2013-02-16 17:02 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,20.45 KB, text/plain)
2012-11-29 11:36 UTC, jannis
Details
ffmpeg fix (mediastreamer-2.8.2-ffmpeg-1.0.patch,1.52 KB, patch)
2012-12-06 05:26 UTC, Reuben Martin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jannis 2012-11-29 11:31:33 UTC
media-libs/mediastreamer-2.8.2 fails to build against media-video/ffmpeg-1.0

see build.log

Reproducible: Always
Comment 1 jannis 2012-11-29 11:36:25 UTC
Created attachment 330912 [details]
build.log
Comment 2 Reuben Martin 2012-12-06 05:26:17 UTC
patch derived from git commit f586917ea4d66f9ba8910f0967a8830e54d50784

confirmed that it builds against ffmpeg-1.0

please test.
Comment 3 Reuben Martin 2012-12-06 05:26:52 UTC
Created attachment 331628 [details, diff]
ffmpeg fix
Comment 4 jannis 2012-12-06 07:02:52 UTC
(In reply to comment #2)
> please test.

Patch has an offset:
checking file src/h264dec.c
Hunk #1 succeeded at 44 (offset -1 lines).
checking file src/videoenc.c

but applies and fixes the problem. thanks.
Comment 5 Alexis Ballier gentoo-dev 2013-01-17 21:56:30 UTC
+  17 Jan 2013; Alexis Ballier <aballier@gentoo.org> mediastreamer-2.8.2.ebuild,
+  +files/mediastreamer-2.8.2-ffmpeg-1.0.patch:
+  Fix build with latest ffmpeg. By Reuben Martin, bug #445168.
+


please test with libav and close if it works.
Comment 6 Alexis Ballier gentoo-dev 2013-02-06 14:53:09 UTC
original bug has been fixed, there's no libav build log, so file a new bug if it still fails with libav-9
Comment 7 Nikoli 2013-02-16 16:52:49 UTC
it still fails with libav: bug #457860